lazarus (4.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 15 May 2025 11:23:04 +0100

lazarus (4.0+dfsg-2) experimental; urgency=medium

  * Add Recommends: lazarus{} to lazarus-ide{} Closes: #1104749
  * Fix spelling in patch header

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 12 May 2025 11:55:49 +0100

lazarus (4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0+dfsg

 -- Mazen Neifer <mazen@debian.org>  Mon, 05 May 2025 15:58:24 +0200

lazarus (4.0~rc3+dfsg-3) unstable; urgency=medium

  * Allow autopkgtest build of fcl_unicodertl.lpk to fail
  * Add Romanian debconf template translation, Closes: #1102572

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 15 Apr 2025 15:47:07 +0100

lazarus (4.0~rc3+dfsg-2) unstable; urgency=medium

  * Upload to unstable in order to not miss Trixie freeze deadline.
  * Fixed permission on scripts that were moved by upstream in new release.
  * Added DEP-3 Origin field to Debian patches.

 -- Mazen Neifer <mazen@debian.org>  Sun, 13 Apr 2025 14:07:15 +0200

lazarus (4.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0~rc3+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 05 Apr 2025 16:57:51 +0200

lazarus (4.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0~rc2+dfsg
  * Removed legacy patch no more applicable for new source version.
  * Updated patches to fit new sources version.
  * Bumped standard version to 4.7.2. Updated debian/control file.
  * Updated rules file to fit paths in new source version.
  * Updated debian/copyright file to fit paths in new source version.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Mar 2025 19:38:35 +0100

lazarus (3.8+dfsg1-9) unstable; urgency=medium

  * Fixed fp-units dependencies of lc-units package.
  * Fixed installation of man files overriding the right rule.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 11 Feb 2025 21:44:00 +0100

lazarus (3.8+dfsg1-8) unstable; urgency=medium

  * Fixed dependency on FPC packages. Require version with hardening enabled.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 11 Feb 2025 00:12:28 +0100

lazarus (3.8+dfsg1-7) unstable; urgency=medium

  * Removed unused include file in debian/rules file.
  * Fixed issues in patch set metadata.
  * Enabled Static-Built-Using: fpc to track changes in FPC libraries.
    This should fix issue where fp-units-rtl get changes and CGE does not
    get recompiled causing issues for users.
  * Changed watch file to add +dfsg not +dfsg1 as suggested by Lintian.
  * Get package name from /usr/share/dpkg/pkg-info.mk instead of hard coded.
  * Use dh sequencer as suggested by Lintian.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 09 Feb 2025 21:27:09 +0100

lazarus (3.8+dfsg1-6) unstable; urgency=medium

  * Enabled PIE on executable programs using FPC hardening config file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 23:29:00 +0100

lazarus (3.8+dfsg1-5) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Abou Al Montacir ]
  * Removed Lintian warnings about national encoding in Win installer files.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 01 Feb 2025 14:32:14 +0100

lazarus (3.8+dfsg1-4) unstable; urgency=medium

  * Fixed file encoding to remove related Lintian warnings.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 30 Jan 2025 23:19:17 +0100

lazarus (3.8+dfsg1-3) unstable; urgency=medium

  * Fixed package name in command creating diversion of LPK files when
    installing sources.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 27 Jan 2025 21:16:21 +0100

lazarus (3.8+dfsg1-2) unstable; urgency=medium

  * Fixed automatic generation of diverted files list for lazarus-src-x.y.
    (Closes: Bug#1094182, Bug#1094223)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 26 Jan 2025 13:21:31 +0100

lazarus (3.8+dfsg1-1) unstable; urgency=medium

  [ Peter Blackman ]
  * New upstream version
  * Update copyright date
  * Remove preinst files (they are generated in thebuild)

  [ Abou Al Montacir ]
  * Enforce coherence between debian/control and debian/control.in files.
  * Added rule in debian/rules to run lintian checks.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 24 Jan 2025 08:05:12 +0100

lazarus (3.6+dfsg1-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 17 Nov 2024 09:35:17 +0100

lazarus (3.6+dfsg1-4) unstable; urgency=medium

  * Don't build with -pie on armhf (Breaks build)
  * Add Suggests: fonts-freefont-ttf  (for aggpas)

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 02 Nov 2024 14:25:16 +0000

lazarus (3.6+dfsg1-3) unstable; urgency=medium

  * Remove unneeded fonts
  * Fix script permissions
  * Convert GBK encoding to UTF-8
  * Build with -pie on all arches except for ppc64(el)

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 29 Oct 2024 10:35:16 +0000

lazarus (3.6+dfsg1-2) unstable; urgency=medium

  * Copyright fix
  * Remove the dot from the icon names  (Closes: #1075761)

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 16 Oct 2024 11:49:03 +0100

lazarus (3.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.6+dfsg1
  * Drop patch adopted upstream
  * Drop as-needed from d/rules
  * Add myself to Uploaders

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 08 Oct 2024 09:56:34 +0100

lazarus (3.4+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Remove duplicate license files
  * Add Lintian overrides
  * Copyright fixes

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 29 Sep 2024 11:53:45 +0100

lazarus (3.4+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Fix Salsa CI (undefine RELEASE variable)
  * New upstream version
  * Standards 4.7.0   compat 13
  * Update lintian overrides
  * Add myself to d/copyright
  * Drop patch adopted upstream
  * Add d/lazarus-src-3.4.preinst
  * Patch broken jitclasses.lpk build

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 03 Sep 2024 11:31:08 +0100

lazarus (3.0+dfsg1-8~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 14 Feb 2024 22:43:27 +0100

lazarus (3.0+dfsg1-8) unstable; urgency=medium

  * Back ported upstream fix to packages recompilation issue.
    This fixed recompilation of packages but also of IDE.
  * Included all IDE packages into lcl-units. (Closes: Bug#1061034)
  * Fixed retrieval of list of diverted files upon post removal operation.
    Also removed any file left from any removed old versions when old script
    fails. (Closes: Bug#1060189)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 11 Feb 2024 22:43:10 +0100

lazarus (3.0+dfsg1-7) unstable; urgency=medium

  * Fixed recompilation of custom IDE.
    When recompiling packages, they are stored into user directory.
    When recompiling IDE, both system wide and user custom units where
    passed to the compiler and it resulted in PPU loading errors due to
    same unit may be found twice. This patch workarounds this issue even
    if the right solution may be to try to avoid getting duplicated
    units. However this may be difficult to achieve. (Closes: Bug#1060273)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 29 Jan 2024 18:54:56 +0100

lazarus (3.0+dfsg1-6~bpo12+1) bookworm-backports; urgency=medium

  [ Mazen Neifer ]
  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 27 Jan 2024 21:27:43 +0100

lazarus (3.0+dfsg1-6) unstable; urgency=medium

  * Excluded gitlab configuration file when importing upstream sources.
  * Packages IdeConfig packages into lcl-units.
    (Closes: Bug#1061009, Bug#1060995, Bug#1060932)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 21 Jan 2024 12:54:32 +0100

lazarus (3.0+dfsg1-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 20:29:31 +0100

lazarus (3.0+dfsg1-5) unstable; urgency=medium

  * Updated debian/copyright file to fix some lintian warnings.
  * Remove legacy lintian override.
  * Replaced instantfpc by ifpc.
  * Removed M-A: same from packages that are A: any but not yet M-A ready.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 01 Jan 2024 19:40:15 +0100

lazarus (3.0+dfsg1-4) unstable; urgency=medium

  * Fixed arch and multi-arch tags for libraries metapackages.
    Libraries metapackages need to be of arch any and munti-arch same.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: Bug#1059376)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 26 Dec 2023 22:20:56 +0100

lazarus (3.0+dfsg1-3) unstable; urgency=medium

  * Updated list of packages which compilation is expected to fail.
  * Fixed crash when trying to recompile packages.
    Some packages do not need to be recompiled. There was a bug in lazbuild
    when trying to guess package output directory in this special case.
    Now, we just skip recompilation if it is not needed.
    Updated also timestamps file.
  * Bumped standard version to 4.6.2.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Dec 2023 22:31:55 +0100

lazarus (3.0+dfsg1-2) unstable; urgency=medium

  * Fixed debian/control file for new major version.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 24 Dec 2023 08:32:33 +0100

lazarus (3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0+dfsg1

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 22 Dec 2023 12:22:04 +0100

lazarus (3.0~rc2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0~rc2+dfsg1
  * Updated patch files and removed patch already integrated by upstream.
    Updated also timestamps file.
  * Updated build dependencies.
  * Removed references to legacy image file laztitle.png.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 22 Dec 2023 11:25:53 +0100

lazarus (2.2.6+dfsg2-2) unstable; urgency=medium

  * Fixed lcl docs installation path. (Closes: Bug#1036293)
  * Tried removin Lintian error about unknown file in debian/source folder.
    Thanks to Peter Blackman <peter@pblackman.plus.com>
  * Removed overrides for Lintian warnings that were fixed by upstream.
  * Updated debian/copyright file with moved and removed files.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 20 May 2023 14:29:04 +0200

lazarus (2.2.6+dfsg2-1) unstable; urgency=medium

  * Cleaned sources repackaging removing unused Windows help files.
    This is supposed to fix a lintian error complaining about them.
  * New upstream version 2.2.6+dfsg2

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 30 Apr 2023 15:46:27 +0200

lazarus (2.2.6+dfsg1-2) unstable; urgency=medium

  * Fixed compilation of test suite on armel.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 01 Apr 2023 19:28:43 +0200

lazarus (2.2.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.2.6+dfsg1
  * Updated patches list removing patch already integrated by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 31 Mar 2023 19:51:15 +0200

lazarus (2.2.4+dfsg1-3) unstable; urgency=medium

  * Remove binary NMU number from revision.inc to avoid useless warning.
    (Closes: Bug#1032350)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 25 Mar 2023 12:11:51 +0100

lazarus (2.2.4+dfsg1-2) unstable; urgency=medium

  * New upstream version 2.2.4+dfsg1 to unstable.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 21 Nov 2022 14:22:41 +0100

lazarus (2.2.4+dfsg1-1) bullseye-backports; urgency=medium

  * New upstream version 2.2.4+dfsg1
  * Updated patches list removing patch already integrated by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Nov 2022 12:54:34 +0100

lazarus (2.2.2+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 05 Sep 2022 09:57:24 +0200

lazarus (2.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.2.2+dfsg1
  * Updated patches list removing patch already integrated by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 28 Aug 2022 18:50:36 +0200

lazarus (2.2.0+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Filter -ffat-lto-objects from LDFLAGS to avoid
    '-f may not be used without -shared' link error
    (Closes: #1015468)

 -- Graham Inggs <ginggs@debian.org>  Sat, 20 Aug 2022 17:28:02 +0000

lazarus (2.2.0+dfsg1-6) unstable; urgency=medium

  * Avoid surprises on localized systems when retrieving diverted files list.
    (Closes: Bug#1004982)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 13 Mar 2022 18:41:04 +0100

lazarus (2.2.0+dfsg1-5~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 02 Feb 2022 10:19:24 +0100

lazarus (2.2.0+dfsg1-5) unstable; urgency=medium

  * Fixed typo in CI tests shell script. (Closes: Bug#1004561)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 30 Jan 2022 22:08:18 +0100

lazarus (2.2.0+dfsg1-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 29 Jan 2022 20:28:12 +0100

lazarus (2.2.0+dfsg1-4) unstable; urgency=medium

  * Disabled some tests know to fail on powerpc64le on that architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 29 Jan 2022 20:18:03 +0100

lazarus (2.2.0+dfsg1-3) unstable; urgency=medium

  * Added missing source file to prevent error upon CI tests.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 28 Jan 2022 10:55:10 +0100

lazarus (2.2.0+dfsg1-2) unstable; urgency=medium

  * Added display of list of successful continuous integration tests.
  * Updated list of expected failures by dropping newly successful CI tests.
  * Fixed FTBFS on mipsel architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 26 Jan 2022 11:02:46 +0100

lazarus (2.2.0+dfsg1-1) unstable; urgency=medium

  * Fixed importing original sources while discarding non free files.
  * New packaging version 2.2.0+dfsg1 for upstream version 2.2.0.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 23 Jan 2022 12:01:03 +0100

lazarus (2.2.0+dfsg-3) unstable; urgency=medium

  * Updated control file for new Lazarus version (2.2.0).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 17 Jan 2022 21:00:38 +0100

lazarus (2.2.0+dfsg-2) unstable; urgency=medium

  * Fixed allowing arbitrary FPPKG path.
  * Added FPC possible paths in Debian to search path list.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 16 Jan 2022 16:19:08 +0100

lazarus (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * Updated patches to fit new upstream changes.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 14 Jan 2022 23:35:32 +0100

lazarus (2.0.12+dfsg-6) unstable; urgency=medium

  * Install Lazarus IDE with same widget set related units.
    People pulling arch all (lazarus-ide-qt5) will get lcl-qt5 installed
    automatically.
    People who want to install only IDE de to low disk space, will need to
    install arch specific package (lazarus-ide-qt5-2.0) rather than arch all
    one. (Closes: Bug#991704)
  * Fixed Lintian warnings about BSD license.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 07 Dec 2021 10:44:34 +0100

lazarus (2.0.12+dfsg-5) unstable; urgency=medium

  * Added wrongly removed lazfpreportdesign.lpk to expected failures list.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Dec 2021 11:09:41 +0100

lazarus (2.0.12+dfsg-4) unstable; urgency=medium

  * Updated expected failures in test suite.
    Removed tests that are now passing from expected failures.
    Added fpvectorialpkg.lpk to expected failures list due to a bug in FPC
    code generator on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 04 Dec 2021 20:07:14 +0100

lazarus (2.0.12+dfsg-3) unstable; urgency=medium

  * Ensure no diversion is left after removal or upgrade. (Closes: Bug#990224)
  * Removed flaky flag on tests.
  * Fix unexpected failure building IDE inspector package test.
    (Closes: Bug#956956)
  * Updated time stamp for package IdeInspector.
  * Fixed typos introduced in 5141e596467ce187e707bffa704d00e0f8a0f6c4.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 28 Nov 2021 16:43:45 +0100

lazarus (2.0.12+dfsg-2) unstable; urgency=medium

  * Update changelog for 3.2.2+dfsg-2 release

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 27 Oct 2021 10:50:59 +0200

lazarus (2.0.12+dfsg-1) experimental; urgency=low

  [ Adrian Bunk ]
  * Stop disabling qt5 on mips{,64}el

  [ Abou Al Montacir ]
  * New upstream version 2.0.12+dfsg
  * Updated patches with regards to issues that were fixed in new release.
  * Updated reference time.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 13 Jun 2021 15:46:08 +0200

lazarus (2.0.10+dfsg-4) unstable; urgency=medium

  * Team upload
  * Add Breaks and Replaces for moved file codetools/fpc.errore.msg
    (Closes: #970889)

 -- Graham Inggs <ginggs@debian.org>  Mon, 28 Sep 2020 14:07:21 +0000

lazarus (2.0.10+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Frédéric Bonnard ]
  * Disable pie build on ppc64el (Closes: #970014)
  * Use dwarf debug info type (-gw) for components/chmhelp/lhelp

  [  Pino Toscano ]
  * Drop menu file and its pixmap, as lazarus already
    provides a .desktop file
  * Remove imagemagick build dependency, no longer needed

  [ Graham Inggs ]
  * Ship codetools/fpc.errore.msg in lcl-units-2.0 instead
    of lazarus-src-2.0
  * Build lcl-qt5 and lazarus-ide-qt5 on ppc64 and ppc64el
  * Disable pie build on ppc64 as well

 -- Graham Inggs <ginggs@debian.org>  Thu, 24 Sep 2020 12:05:52 +0000

lazarus (2.0.10+dfsg-2) unstable; urgency=medium

  * Fix compilation of PascalScript for armel and m68k.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Aug 2020 17:40:48 +0200

lazarus (2.0.10+dfsg-1) experimental; urgency=medium

  [ Paul Gevers ]
  * New upstream version 2.0.10+dfsg
  * Refresh d/s/timestamps for new upstream release

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Aug 2020 12:20:02 +0200

lazarus (2.0.8+dfsg-2~exp) experimental; urgency=medium

  * Upload to experimental to try out building with the fresh fpc

 -- Paul Gevers <elbrus@debian.org>  Thu, 25 Jun 2020 09:05:12 +0200

lazarus (2.0.8+dfsg-1) unstable; urgency=medium

  [ Paul Gevers ]
  * [tests] mark flaky until we really find the root cause of #943600

  [ Abou Al Montacir ]
  * New upstream version 2.0.8+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Apr 2020 17:51:06 +0200

lazarus (2.0.6+dfsg-3) unstable; urgency=medium

  * Limit number of processor within LPK build test to avoid crash.
    (Closes: Bug#943600)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 15 Dec 2019 12:16:47 +0100

lazarus (2.0.6+dfsg-2) unstable; urgency=medium

  * Fixed diversion issue when upgrading from a different upstream release.
    (Closes: Bug#944426)
  * Fixed crash in lazbuild avoiding to deference freed class instance.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 16 Nov 2019 11:03:27 +0100

lazarus (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.6+dfsg
  * Removed patches that are already accepted by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 02 Nov 2019 17:59:18 +0100

lazarus (2.0.2+dfsg-7) unstable; urgency=medium

  * Fixed version upon upgrade to create files diversion for lpk files.
    (Closes: Bug#942768)
  * Fixed logic to remove diversion of lpk files as per policy requirements.
  * Bumped standard version to 4.4.1.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 24 Oct 2019 23:33:59 +0200

lazarus (2.0.2+dfsg-6) unstable; urgency=medium

  * Fixed typo in pre install and post removal script.
    (Closes: Bug#942768, Bug#942784)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 22 Oct 2019 22:31:10 +0200

lazarus (2.0.2+dfsg-5) unstable; urgency=medium

  [ Paul Gevers ]
  * Revert unintended changes from commit 8354ab1 and fix control.in to prevent it
  * Missed control.in in previous commit afe3237

  [ Abou Al Montacir ]
  * Removed auto generated preinst and postrm from VCS.
  * Fixed issue related to hard linking lpk files when building arch all.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 22:24:03 +0200

lazarus (2.0.2+dfsg-4) unstable; urgency=medium

  * Look for lpk files in sources install directory instead of binaries one.
  * Fix postinst and postrm file to hadle upgrade correctly.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 15:09:24 +0200

lazarus (2.0.2+dfsg-3) unstable; urgency=medium

  * Use scalable icon. Put it in right folder conforming to Debian policy.
  * Updated multiarch tags as suggested by multiarch hinter tool.
  * Include compilable version of files in lazrus-src.
    This enables user to compile Lazarus when adding lpk packages.
    It requires file diversion to avoid breaking lcl-units packaged lpk files.
    (Closes: Bug#823706, Bug#898310)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 01:04:45 +0200

lazarus (2.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Make better use of dpkg Makefile sniplets

 -- Paul Gevers <elbrus@debian.org>  Wed, 24 Jul 2019 13:51:47 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lazarus-ide-4.0`.
